GET Get enrollment details
Retrieve detailed information about a specific enrollment including progress, completion date, and time spent
Retrieve detailed information about a specific enrollment including progress, completion date, and time spent
AuthorizationBearer <token>
Send API keys and access tokens as Authorization: Bearer .
In: header
Path Parameters
id*string
Unique identifier of the enrollment
Format
uuidResponse Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/course-enrollments/{id}"{ "data": { "id": "{id}", "user_id": "{user_id}", "course_id": "{course_id}", "organization_id": "{organization_id}", "status": "string", "progress_percentage": 0, "enrolled_at": "2019-08-24T14:15:22Z", "completed_at": "2019-08-24T14:15:22Z", "last_accessed_at": "2019-08-24T14:15:22Z" }, "meta": { "organization_id": "{organization_id}", "rls_validated": true }}{ "error": "string", "code": "string", "message": "string"}{ "error": "string", "code": "string", "message": "string"}{ "error": "string", "code": "string", "message": "string"}{ "error": "string", "code": "string", "message": "string"}{ "error": "string", "code": "string", "message": "string"}